Infusion Pump Vulnerabilities Could Offer Hackers Route To Control

Infusion Pump Vulnerabilities Could Offer Hackers Route To Control

Researchers at CyberMDX uncovered two vulnerabilities in older versions of an infusion pump that could allow hackers to gain control over the onboard computer.

Two vulnerabilities involving an infusion pump widely used in hospitals and medical facilities in approximately 50 countries have been discovered by researchers at CyberMDX.

The Alaris Gateway Workstation, developed by medical device maker Becton Dickinson, is an infusion pump that controls the dispensing of intravenous fluids and medications. The pump’s onboard computer powers, monitors, and controls the infusion pumps and runs on Windows CE. This computer allows medical professionals to check on multiple patients at one time.

The bugs the researchers discovered would allow an attacker to remotely install malicious firmware onto this onboard computer, allowing them to adjust specific commands on the pump, which could include altering the infusion rate or taking the pump offline.

The U.S. Department of Homeland Security’s ICS-CERT released the advisory on June 13, and stated that the two vulnerabilities were relatively serious. The first flaw, CVE-2019-10959, was rated critical severity at a 10 out of 10, and the second, CVE-2019-10962, was rated medium severity at a 7.5. Luckily, this bug only affects earlier versions of the pump, and not the most recent version, 1.3.2 or version 1.6.1.

Although the researchers at CyberMDX said that creating an attack was “quite easy” and “worked consistently,” the attack chain requires a large amount of effort and knowledge including access to the hospital network, and the workstation’s IP address and how to write malicious code.

Becton Dickinson spokesperson Troy Kirkpatrick said that there are about 50 countries that use the device, but it is not sold in the U.S. He also said the best way to prevent the attack is to update to the latest firmware that is not affected by these vulnerabilities.

Lamar Bailey, senior director of security research at Tripwire, said the fact that the flaws only affect the earlier versions of the equipment shows that the vendors are proactive in fixing the security issues.

“The break down occurs because these old firmware versions are still in use,” Bailey said. “It is either a breakdown in communications where the healthcare organizations are not aware of the updates or the criticality of doing the update or they do not have a good plan for updating the equipment. Either way, this is something that needs to be solved and neither of these are hard problems.”

About the Author

Kaitlyn DeHaven is the Associate Content Editor for the Infrastructure Solutions Group at 1105 Media.

If you like what you see, get more delivered to your inbox weekly.
Click here to subscribe to our free premium content.

comments powered by Disqus
  • Environmental Protection
  • Occupational Health & Safety
  • Infrastructure Solutions Group
  • School Planning & Managmenet
  • College Planning & Management
  • Campus Security & Life Safety